Return a list of usage events scoped to the customer
1 min
GET
https://app.amberflo.io/customer-portal/usage-events
Query Parameters
- meterApiNamestringDescription
- startTimeInSecondsintegerDescription
- endTimeInSecondsintegerDescription
- isAscendingbooleanDescription
- limitintegerDescription
- dimensionsmap<string, string>Description
- sessionTokenstringrequiredDescription
Responses
200
- usage-event-list-responseExample
[ { "uniqueId": "15add96f-9187-4593-b1b8-3f40f6224c33", "customerId": "myCustomerId", "meterApiName": "ApiCalls", "meterValue": 200, "meterTimeInMillis": 1649258679563, "dimensions": { "region": "Tech", "zone": "us-east-2" } } ]- customerIdstringExampleDescription
- meterApiNamestringExampleDescription
- meterValuenumberExampleDescription
- meterTimeInMillisintegerExampleDescription
- dimensionsmap<string, string>Example
{ "region": "us-west-2" }Description
curl
curl --request GET \
--url 'https://app.amberflo.io/customer-portal/usage-events?dimensions=object&sessionToken=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/customer-portal/usage-events?dimensions=object&sessionToken=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/customer-portal/usage-events?dimensions=object&sessionToken=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/customer-portal/usage-events?dimensions=object&sessionToken=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful response
[
{
"customerId": "myCustomerId",
"meterApiName": "ApiCalls",
"meterValue": 5,
"meterTimeInMillis": 1619445706909,
"dimensions": "{\"region\":\"us-west-2\"}"
}
]